Public Class People
    Private SurnameValue As String
    Private NameValue As String
    Private BirthDateValue As Decimal
    Private Property Surname() As String
        Get
            Surname = SurnameValue
        End Get
        Set(ByVal value As String)
            SurnameValue = value
        End Set
    End Property
    Private Property Name() As String
        Get
            Name = NameValue
        End Get
        Set(ByVal value As String)
            NameValue = value
        End Set
    End Property
    ReadOnly Property Age() As Decimal
        Get
            Age = My.Computer.Clock.LocalTime.Year - BirthDateValue
        End Get
         End Property
End Class
